> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base Data Source Connection



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/knowledge-bases/{knowledge_base_id}/data-source-connections/{knowledge_base_data_source_id}/delete
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/knowledge-bases/{knowledge_base_id}/data-source-connections/{knowledge_base_data_source_id}/delete:
    post:
      tags:
        - Knowledge Bases
      summary: Delete Knowledge Base Data Source Connection
      operationId: >-
        POST-V4-/knowledge-bases/{knowledge_base_id}/data-source-connections/{knowledge_base_data_source_id}/delete
      parameters:
        - name: knowledge_base_id
          in: path
          required: true
          schema:
            type: string
            title: Knowledge Base Id
        - name: knowledge_base_data_source_id
          in: path
          required: true
          schema:
            type: string
            title: Knowledge Base Data Source Id
        - name: dry_run
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Dryrun query parameter to determine first how many things will be
              deleted
            default: false
            title: Dry Run
          description: >-
            Dryrun query parameter to determine first how many things will be
            deleted
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteKnowledgeBaseDataSourceConnectionResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from scale_gp import SGPClient


            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )

            delete_knowledge_base_data_source_connection_response =
            client.knowledge_bases.data_source_connections.delete(
                knowledge_base_data_source_id="knowledge_base_data_source_id",
                knowledge_base_id="knowledge_base_id",
            )

            print(delete_knowledge_base_data_source_connection_response.deletion_workflow_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tdeleteKnowledgeBaseDataSourceConnectionResponse, err := client.KnowledgeBases.DataSourceConnections.Delete(\n\t\tcontext.TODO(),\n\t\t\"knowledge_base_id\",\n\t\t\"knowledge_base_data_source_id\",\n\t\tsgp.KnowledgeBaseDataSourceConnectionDeleteParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", deleteKnowledgeBaseDataSourceConnectionResponse.DeletionWorkflowID)\n}\n"
components:
  schemas:
    DeleteKnowledgeBaseDataSourceConnectionResponse:
      properties:
        artifacts_to_delete:
          additionalProperties:
            type: integer
          type: object
          title: Artifacts To Delete
        deletion_workflow_id:
          title: Deletion Workflow Id
          type: string
      type: object
      required:
        - artifacts_to_delete
      title: DeleteKnowledgeBaseDataSourceConnectionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````